summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibravatar Alex Riesen <raa.lkml@gmail.com>2006-01-05 12:57:36 +0100
committerLibravatar Junio C Hamano <junkio@cox.net>2006-01-05 17:24:47 -0800
commit2ccd2027b012f481018b9a95929fa8df6ce1d33f (patch)
treef8487ae456818a356b7181a6870d4486bcaff8c4
parenttrivial: .gitignore precompiled python modules (diff)
downloadtgif-2ccd2027b012f481018b9a95929fa8df6ce1d33f.tar.xz
trivial: check, if t/trash directory was successfully created
and was successfully entered. Otherwise git-init-db will create it directly in the working directory (t/) which can be dangerous. Signed-off-by: Alex Riesen <raa.lkml@gmail.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
-rwxr-xr-xt/test-lib.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index a97d259e26..7534a76208 100755
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -195,7 +195,7 @@ test -d ../templates/blt || {
test=trash
rm -fr "$test"
mkdir "$test"
-cd "$test"
+cd "$test" || error "Cannot setup test environment"
"$GIT_EXEC_PATH/git" init-db --template=../../templates/blt/ 2>/dev/null ||
error "cannot run git init-db -- have you built things yet?"